package de.fhhannover.inform.trust.ifmapcli.common;

/**
 * Holds the configuration parameters for a CLI tool.
 * 
 * @author ib
 *
 */
public class Config {
	
	public static final String DEFAULT_URL = "https://localhost:8443";
	public static final String DEFAULT_USER = "test";
	public static final String DEFAULT_PASS = "test";
	public static final String DEFAULT_TRUSTSTORE_PATH = "/ifmapcli.jks";
	public static final String DEFAULT_TRUSTSTORE_PASS = "ifmapcli";
	
	private String mUrl;
	private String mUser;
	private String mPass;
	private String mTruststorePath;
	private String mTruststorePass;
	
	public String getUrl() {
		return mUrl;
	}

	public void setUrl(String url) {
		mUrl = url;
	}

	public String getUser() {
		return mUser;
	}

	public void setUser(String user) {
		this.mUser = user;
	}

	public String getPass() {
		return mPass;
	}

	public void setPass(String pass) {
		this.mPass = pass;
	}

	public String getTruststorePath() {
		return mTruststorePath;
	}

	public void setTruststorePath(String truststorePath) {
		this.mTruststorePath = truststorePath;
	}
	
	public String getTruststorePass() {
		return mTruststorePass;
	}

	public void setTruststorePass(String truststorePass) {
		this.mTruststorePass = truststorePass;
	}

	public Config() {
		this(DEFAULT_URL, DEFAULT_USER, DEFAULT_PASS, DEFAULT_TRUSTSTORE_PATH, DEFAULT_TRUSTSTORE_PASS);
	}
	
	public Config(String url, String user, String pass, String keystorePath, String keystorePass) {
		setUrl(url);
		setUser(user);
		setPass(pass);
		setTruststorePath(keystorePath);
		setTruststorePass(keystorePass);
	}
	
	@Override
	public String toString() {
		return "url:" + mUrl +
				" user:" + mUser +
				" pass:" + mPass +
				" truststorePath:" + mTruststorePath +
				" truststorePass:" + mTruststorePass;
	}
	
}
